function init(hero) {
    hero.setName("Wolverine");
    hero.setTier(4);
    
    hero.setHelmet("Cowl");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addAbilities("fiskheroes:superhuman_durability",  "fiskheroes:leaping", "fiskheroes:retractable_shield", "fiskheroes:cellular_regeneration");
    hero.addAttribute("ATTACK_DAMAGE", 0.4, 1);
	hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 6.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.6, 1);
    
    hero.addKeyBind("SHIELD", "key.shield", 1);
    
    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function shieldProfile(profile) {
    profile.addAttribute("ATTACK_DAMAGE", 0.8, 1);
    profile.addAttribute("PUNCH_DAMAGE", 15.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}
